Skip to main content
PUT
/
api
/
v1
/
workspaces
/
{id}
/
resources
Update workspace resources.
curl --request PUT \
  --url https://api.rigbox.dev/api/v1/workspaces/{id}/resources \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "vm": {
    "created_at": "2023-11-07T05:31:56Z",
    "disk_size_mb": 1,
    "id": "<string>",
    "image": "<string>",
    "name": "<string>",
    "node_id": "<string>",
    "ram_mb": 1,
    "updated_at": "2023-11-07T05:31:56Z",
    "user_id": "<string>",
    "vcpu_count": 1,
    "ai_mode": "<string>",
    "creation_attempts": 123,
    "creation_started_at": "2023-11-07T05:31:56Z",
    "env_vars": {},
    "failure_code": "<string>",
    "failure_reason": "<string>",
    "ip_address": "<string>",
    "service_spec_ids": [
      "<string>"
    ],
    "setup_script_ids": [
      "<string>"
    ],
    "template_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt

Use this file to discover all available pages before exploring further.

Resource changes take effect on the next start. The workspace must be stopped first.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Workspace ID

Response

200 - application/json

Workspace resources updated

message
string
required
vm
object
required